Bug 886671 - CVE-2012-5617 gksu-polkit: privilege escalation due to improper authentication settings in policykit configuration file [fedora-18]
Summary: CVE-2012-5617 gksu-polkit: privilege escalation due to improper authenticatio...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gksu-polkit   
(Show other bugs)
Version: 18
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2012-5617
TreeView+ depends on / blocked
 
Reported: 2012-12-12 20:41 UTC by Vincent Danen
Modified: 2013-07-23 16:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 16:27:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for the master branch (2.13 KB, patch)
2013-02-14 14:31 UTC, Miloslav Trmač
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 948613 None None None Never

Description Vincent Danen 2012-12-12 20:41:50 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

fedora-18 tracking bug for gksu-polkit: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2012-12-12 20:42:20 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=883162,886671

Comment 2 Miloslav Trmač 2013-02-14 14:31:04 UTC
Created attachment 697243 [details]
Patch for the master branch

This is a patch for the master branch.

To test this, you may need to
> cp /usr/lib/systemd/system/{gksu-polkit-systemd_unit,gksu.service}
then follow instructions in bug #883162.

Could a provenpackager test the patch and apply on F17 and F18, and preferably retire the package (https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life) for F19 and rawhide, please?

Comment 3 Fedora Admin XMLRPC Client 2013-02-23 04:49:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2013-02-24 19:39:56 UTC
gksu-polkit-0.0.3-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gksu-polkit-0.0.3-6.fc18

Comment 5 Fedora Update System 2013-02-26 02:35:30 UTC
Package gksu-polkit-0.0.3-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gksu-polkit-0.0.3-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3032/gksu-polkit-0.0.3-6.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-03-06 23:00:19 UTC
gksu-polkit-0.0.3-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Vincent Danen 2013-07-23 16:27:11 UTC
Please see bug #987562 to track this "incorrect fix of a fix" bug.  I've already assigned a CVE for the incorrect fix and created the tracking bug.


Note You need to log in before you can comment on or make changes to this bug.